Subject: Re: bug#78356: Broken system and home containers

From: Rutherther <[email-masked]>
Date: Mon, 12 May 2025 11:15:33 +0200

Hi Ludo

Ludovic Courtès <[email-masked]> writes:
>
> What command did you run, precisely?  I cannot experience it:

For home, I tried my own config, and since I was pretty sure any system
container is affected (tried a simple one, my one and I know one other
person reported this in Matrix channel), I didn't try anything simpler
and just assumed all homes are going to be affected as well.
Now trying simpler config you mentioned, that one works fine.

The command was `guix home container -L ./home/modules ./home/home-container.scm`
in my repository. It's here https://git.ditigal.xyz/~ruther/guix-config.
Any idea what service could cause this behavior with lock-mounts? Would
be good to isolate it, but I am not sure where to start.

Here is the unshare error I was talking about earlier:
> guix home: error: unshare: 268566528: Invalid argument
Now I am getting it consistently, before it was missing sometimes.
Currently on
```
> ./target/guix/bin/guix describe
  guix 300d29e
    repository URL: https://codeberg.org/guix/guix-mirror
    branch: master
    commit: 300d29e69988caf23684f08effa51f621c7ec083
  nonguix 1940698
    repository URL: https://gitlab.com/nonguix/nonguix
    branch: master
    commit: 19406981a9bf9d0b140180f1f3008cb91f716b4b
  ruther 1a49e47
    repository URL: https://git.ditigal.xyz/~ruther/guix-exprs
    branch: main
    commit: 1a49e4760bd922237532fa2eee44bc9e1fe42399
  rde bf8f628
    repository URL: https://git.sr.ht/~abcdw/rde
    branch: master
    commit: bf8f628c4deb9acc94e261db80d301048ea1f0a2
```

Thanks
Rutherther